Advertising - Report Ad Activity
Report player's ad activity
POST https://titleId.playfabapi.com/Client/ReportAdActivity
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| Activity | True |
Type of activity, may be Opened, Closed, Start or End |
|
| PlacementId | True |
string |
Unique ID of the placement to report for |
| RewardId | True |
string |
Unique ID of the reward the player was offered |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Report ad activity response has no body |
|
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Ad |
|
|
Api |
The basic wrapper around every failed API response |
|
Report |
Report ad activity |
|
Report |
Report ad activity response has no body |
AdActivity
| Value | Description |
|---|---|
| Opened | |
| Closed | |
| Start | |
| End |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
ReportAdActivityRequest
Report ad activity
| Name | Type | Description |
|---|---|---|
| Activity |
Type of activity, may be Opened, Closed, Start or End |
|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| PlacementId |
string |
Unique ID of the placement to report for |
| RewardId |
string |
Unique ID of the reward the player was offered |
ReportAdActivityResult
Report ad activity response has no body
Error Codes
| Name | Code |
|---|---|
| InvalidAdPlacementAndReward | 1268 |